Skip to main content
POST
Update Custom Attributes

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

conversation_id
integer
required

The numeric ID of the conversation

Body

application/json
custom_attributes
object
required

The custom attributes to be set for the conversation

Example:
merge
boolean
default:false

When true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys.

Response

Success

custom_attributes
object

The custom attributes of the conversation